<?
error_reporting(E_ALL);
include('db.inc.php');

function PrintSelect($table, $field) {
	$mydb = new db();

	$stmt = "SELECT * FROM $table ORDER BY nev ASC";
	$result=$mydb->query($stmt);

	printf("<select name=$field>\n");
	printf("<option value=0>Válasszon!</option>\n");

	while (($row = mysql_fetch_object($result))){
		printf("<option value=\"%s\">%s</option>\n", $row->id, stripslashes($row->nev));	
	}

	printf("</select>\n");

}

function helyihiba($msg){

	global $_POST;

	include('header.inc.php');?>
	<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Ajánlatkérés a könyvelő szaknévsor tagjaitól</p>

	<?
printf("<h5>Hiba!</h5><p>%s", $msg);?>

	</td>
              </tr>
            </table>

	<?
include('footer.inc.php');
	exit();
}




if (isset($round)){

	if ($megnevezes=="" || $nev=="" || $vforma=="" || $elerhetoseg=="" || $kategoria_1=="" || $munka=="" || $ervenyes=="" || $mobtel=="" || $konyveles_modja=="" || $kulker_vegez=="" || $munkahely=="" || $bizonylat_atadas=="" || $honnan_1=="" || $arbevetel=="" || $alkalmazottak=="" || $bejovo_szamlak=="" || $kimeno_szamlak=="") {
		helyihiba("Nem töltött ki minden kötelező mezőt! A javításhoz használja a 'Vissza' gombot!");
	}

	if (substr(md5($check),6,8)!=substr($ellenorzo,6,8))
		exit();

			function jelek($valt)
			{
				$v=stripslashes($valt);
				$vis=strtr($v,"'\"","´´");
				return $vis;
			}

	// html kódok leugranak
	$megnevezes=jelek($megnevezes);
	$nev=jelek($nev);
	$elerhetoseg=jelek($elerhetoseg);
	$vforma=jelek($vforma);
	$munka=jelek($munka);
	$szempontok=jelek($szempontok);
	$ervenyes=jelek($ervenyes);
	$mobtel=jelek($mobtel);

	$arbevetel=jelek($arbevetel);
	$alkalmazottak=jelek($alkalmazottak);
	$kimeno_szamlak=jelek($kimeno_szamlak);
	$bejovo_szamlak=jelek($bejovo_szamlak);
	$munkahely=jelek($munkahely);
	$fotevekenyseg=jelek($fotevekenyseg);
	$szekhely=jelek($szekhely);

	$konyveles_modja=jelek($konyveles_modja);
	$kulker_vegez=jelek($kulker_vegez);
	$bizonylat_atadas=jelek($bizonylat_atadas);
	$honnan_1=jelek($honnan_1);
	$honnan_2=jelek($honnan_2);
	$honnan_3=jelek($honnan_3);
	$kapcsolat_tel=jelek($kapcsolat_tel);

	$aktivalo_kod=md5(time());



	$ervenyes=date('Y-m-d',mktime(0,0,0,date("m"),date("d")+$ervenyes*7,date("Y")));

	$stmt = "INSERT INTO kk_ajanlat(megnevezes, nev, vforma, elerhetoseg, kategoria_1, kategoria_2, kategoria_3, munka, szempontok, ervenyes, datum, ip, mobtel, szekhely, fotevekenyseg, munkahely, bejovo_szamlak, kimeno_szamlak, alkalmazottak, arbevetel,konyveles_modja,kulker_vegez,bizonylat_atadas,honnan_1,honnan_2,honnan_3,kapcsolat_tel,aktivalo_kod,statusz) VALUES('$megnevezes', '$nev', '$vforma', '$elerhetoseg', '$kategoria_1', '$kategoria_2', '', '$munka', '$szempontok', '$ervenyes', NOW(), '$REMOTE_ADDR', '$mobtel', '$szekhely', '$fotevekenyseg', '$munkahely', '$bejovo_szamlak', '$kimeno_szamlak', '$alkalmazottak', '$arbevetel','$konyveles_modja','$kulker_vegez','$bizonylat_atadas','$honnan_1','$honnan_2','$honnan_3','$kapcsolat_tel','$aktivalo_kod','0')" ;

	//include('db.inc.php');
	$mydb = new db();
	$result=$mydb->query($stmt);


	//mail a szerkesztonek

	$to="info@konyvel.net";
	$subject="Ajánlat érkezett";
	$message=stripslashes(htmlspecialchars_decode($nev)) ." (". stripslashes(htmlspecialchars_decode($elerhetoseg)).")\n" . stripslashes(htmlspecialchars_decode($munka));
	$xtra="From: info@konyvel.net\nReply-To: ". $elerhetoseg ."\nX-Mailer: PL-PHP/" . phpversion();

	//printf("%s<BR>%s<BR>%s<BR>%s<BR>", $to, $subject, $message, $xtra);
	mail($to, $subject, $message, $xtra);

	$to_a=$elerhetoseg;
	$subject_a="Ajánlat feladásának aktiválása";
	$message_a="Tisztelt Ajánlatkérő!\n\nÖn ajánlatot kér a Könyvelő Kereső címtárban a szaknévsori tagoktól:\n" . stripslashes(htmlspecialchars_decode($munka))."\n\nAjánlatkérési szándékának megerősítéséhez kérjük, kattintson a következő linkre:\nhttp://www.konyvel.net/aktival.php?kod=".$aktivalo_kod."\n\nAmennyiben az ajánlatkérést nem Ön adta fel weboldalunkon, kérjük, hogy levelünket tekintse tárgyatalannak.\n\nÜdvözlettel,\nA Könyvelő Kereső szerkesztői\nwww.konyvel.net";
	$xtra_a="From: info@konyvel.net\nX-Mailer: PL-PHP/" . phpversion();

	//printf("%s<BR>%s<BR>%s<BR>%s<BR>", $to, $subject, $message, $xtra);
	mail($to_a, $subject_a, $message_a, $xtra_a);
	echo "<script>document.location.replace('ajanlat_vege.php');</script>";



}else{
	include('header.inc.php');?>
<table border="0" cellpadding="10" cellspacing="10" width="100%">
                            <tr>
                                <td width="100%">
                                <p class="vezercikkcim">Ajánlatkérés a könyvelő szaknévsor tagjaitól</p>
<?	

include('ajanlat.form.inc.php');?>
</td>
              </tr>
            </table>
	<?
include('footer.inc.php');
}



?>
